local frontside = love.graphics.newImage("256px-Full_grown_British_Shorthair.jpeg")
local backside = love.graphics.newImage("256px-Green_cat_eyes.jpeg")

local width = love.graphics.getWidth()
local height = love.graphics.getHeight()

local time = 0
local xScale = 1

function love.draw()
    local xPos = width/2 - frontside:getWidth()/2 * math.abs(xScale)
    local yPos = height/2 - frontside:getHeight()/2

    if (xScale >= 0) then 
        love.graphics.draw(frontside, xPos, yPos, 0, xScale, 1)
    else
        love.graphics.draw(backside, xPos, yPos, 0, -xScale, 1)
    end
end

function love.update(dt)
    time = time + dt
    xScale = math.cos(3.14/2 * time)
end